Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Class RDBMEntityStore

    java.lang.Object
      org.jasig.portal.groups.RDBMEntityStore

All Implemented Interfaces:
  IEntityStore

    public class RDBMEntityStore

extends java.lang.Object
implements IEntityStore

Reference implementation for IEntityStore.

Version:
  $Revision: 1.12 $
Author:
  Dan Ellentuck

Field Summary
`private static IEntityStore` | `singleton`

Constructor Summary
`RDBMEntityStore()` RDBMEntityStore constructor.

Method Summary
`IEntity` | `newInstance(java.lang.String key)`
`IEntity` | `newInstance(java.lang.String key, java.lang.Class type)`
`static IEntityStore` | `singleton()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleton

    private static IEntityStore singleton

Constructor Detail

### RDBMEntityStore

    public RDBMEntityStore()

  RDBMEntityStore constructor.

Method Detail

### newInstance

    public IEntity newInstance(java.lang.String key)
                        throws GroupsException

  Specified by:
    `newInstance` in interface `IEntityStore`
  Parameters:
    `key` - java.lang.String
  Returns:
    org.jasig.portal.groups.IEntity
  Throws:
    `GroupsException`

### newInstance

    public IEntity newInstance(java.lang.String key,
                               java.lang.Class type)
                        throws GroupsException

  Specified by:
    `newInstance` in interface `IEntityStore`
  Parameters:
    `key` - java.lang.String
    `type` - java.lang.Class
  Returns:
    org.jasig.portal.groups.IEntity
  Throws:
    `GroupsException`

### singleton

    public static IEntityStore singleton()

  Returns:
    org.jasig.portal.groups.IEntityStore

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD